Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class GraphDefDispatcher

    java.lang.Object
      org.eclipse.gmf.internal.codegen.dispatch.DispatcherImpl
          org.eclipse.gmf.graphdef.codegen.GraphDefDispatcher

All Implemented Interfaces:
  org.eclipse.gmf.internal.codegen.dispatch.Dispatcher

public class GraphDefDispatcher
extends org.eclipse.gmf.internal.codegen.dispatch.DispatcherImpl

Nested Class Summary
`static class` `GraphDefDispatcher.Args`
`static class` `GraphDefDispatcher.LayoutArgs`

Field Summary

Fields inherited from class org.eclipse.gmf.internal.codegen.dispatch.DispatcherImpl
`traceFacility`

Constructor Summary
`GraphDefDispatcher(org.eclipse.gmf.internal.codegen.dispatch.EmitterFactory factory, org.eclipse.gmf.internal.codegen.dispatch.KeyMap keyMap, FigureQualifiedNameSwitch fqnSwitch, MapModeCodeGenStrategy mapModeStrategy)`

Method Summary
`GraphDefDispatcher.Args` `create(Figure figure, java.lang.String figureVarName)`
`GraphDefDispatcher.LayoutArgs` `createLayoutArgs(Figure figure, java.lang.String figureVarName, java.lang.String managerVarName, java.lang.String constraintVarName)`
`GraphDefDispatcher.LayoutArgs` `createLayoutArgs(GraphDefDispatcher.Args inherit, java.lang.String managerVarName, java.lang.String constraintVarName)`
`java.lang.String` `DPtoLP(int deviceUnit)`
`FigureQualifiedNameSwitch` `getFQNSwitch()`
`ImportAssistant` `getImportManager()`
`GraphDefDispatcher.LayoutArgs` `getLayoutArgsFor(GraphDefDispatcher.Args prototype)`
`StaticFieldsManager` `getStaticFieldsManager()`
`java.lang.String` `LPtoDP(int logicalUnit)`

Methods inherited from class org.eclipse.gmf.internal.codegen.dispatch.DispatcherImpl
`dispatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphDefDispatcher

    public GraphDefDispatcher(org.eclipse.gmf.internal.codegen.dispatch.EmitterFactory factory,
                              org.eclipse.gmf.internal.codegen.dispatch.KeyMap keyMap,
                              FigureQualifiedNameSwitch fqnSwitch,
                              MapModeCodeGenStrategy mapModeStrategy)

Method Detail

### getStaticFieldsManager

    public StaticFieldsManager getStaticFieldsManager()

### DPtoLP

    public java.lang.String DPtoLP(int deviceUnit)

### LPtoDP

    public java.lang.String LPtoDP(int logicalUnit)

### getImportManager

    public ImportAssistant getImportManager()

### getFQNSwitch

    public FigureQualifiedNameSwitch getFQNSwitch()

### create

    public GraphDefDispatcher.Args create(Figure figure,
                                          java.lang.String figureVarName)

### getLayoutArgsFor

    public GraphDefDispatcher.LayoutArgs getLayoutArgsFor(GraphDefDispatcher.Args prototype)

### createLayoutArgs

    public GraphDefDispatcher.LayoutArgs createLayoutArgs(Figure figure,
                                                          java.lang.String figureVarName,
                                                          java.lang.String managerVarName,
                                                          java.lang.String constraintVarName)

### createLayoutArgs

    public GraphDefDispatcher.LayoutArgs createLayoutArgs(GraphDefDispatcher.Args inherit,
                                                          java.lang.String managerVarName,
                                                          java.lang.String constraintVarName)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.